#include <bits/stdc++.h>
#include"guess.h"
using namespace std;
int find_number( int MAX ) {
    int st , dr , mij;
    st = 0;
    dr = MAX + 1;
    while( dr - st > 1 ) {
        mij = ( st + dr ) / 2;
        if( !smaller( mij ) )
            st = mij;
        else
            dr = mij;
    }
    return st;
}
